<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>synApps mcaDoc</title>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="Content-Type" />
</head>
<body>
  <h1 style="text-align: center">
    mca Documentation</h1>
  <h2 style="text-align: center">
    Mark Rivers</h2>
  <h2 style="text-align: center">
    University of Chicago</h2>
  <p>
    <b><a href="mca.html">mca</a></b> supports Multi-Channel Analyzers (hence the name),
    and also related devices such as multi-channel scalers (MCS), waveform digitizers,
    and programmable ADCs, amplifiers and power supplies.</p>
  <p>
    <b>mca</b> consists of:</p>
  <ul>
    <li>The <a href="mcaRecord.html">mcaRecord</a>. The mca record is device independent,
      and can be used to control a large number of devices in an identical way. The mca
      record is similar to the waveform record, in that the .VAL field is a 1-D array.
      However, the mca record provides many additional fields that are used to control
      data acquisition, regions-of-interest, etc. </li>
    <li>Device support for the MCA record using asyn drivers. This support is used by
      the <a href="mcaCanberra.html">Canberra Ethernet MCA</a> and fastSweep drivers in
      this module, as well as by the driver in the <a href="dxp.html">DXP module</a>.</li>
    <li>asyn driver support for the <a href="mcaCanberra.html">Canberra ICB programmable
      NIM modules.</a></li>
    <li>Device and driver support for the <a href="mcaStruck.html">SIS 3801 MCS</a> (formerly
      the STR7201 from Struck).  There is support for both the mca and scaler records.</li>
  <li>Driver support for the SIS 3820 MCS using both the mca and scaler records.</li>
  <li>asyn fastSweep driver for waveform digitizer type devices. This is used by the
      <a href="ip330.html">ip330 module</a> and the <a href="quadEM">quadEM module</a>.</li>
  </ul>
  <p>
    EPICS MCA client software.
  </p>
  <p>
    A basic interface to the mca record is provided with medm. These screens allow one
    to control acquisition, view spectra on a linear or logarithmic scale. There are
    no markers or cursors, or tools for energy calibration or peak fitting.</p>
  <h3 style="text-align: center">
    mca.adl</h3>
  <p>
    medm mca record screen.</p>
  <p style="text-align: center">
    <img alt="mca.png" src="mca.png" /></p>
  <p>
    There is a setup window for controlling preset count times, update rates, etc.</p>
  <h3 style="text-align: center">
    mca_setup.adl</h3>
  <p>
    medm mca setup screen.</p>
  <p style="text-align: center">
    <img alt="mca_setup.png" src="mca_setup.png" /></p>
  <p>
    An IDL MCA display program is available, shown in the screen show below. This program
    is available in both a source code version that requires and IDL license to run,
    and also in a pre-compiled form that can be run under the IDL Virtual Machine for
    free. It provides tools for energy calibration and peak fitting.</p>
  <h3 style="text-align: center">
    IDL mcaDisplay</h3>
  <p>
    IDL MCA display.</p>
  <p style="text-align: center">
    <img alt="idl_mca.png" src="idl_mca.png" /></p>
  <p>
    Another IDL tool is provided for controlling multi-elemement detectors (MED). This
    screen allows one to display one spectrum at a time in the IDL MCA display tool
    above, and to turn off and on acquisition simultaneously on all detectors.</p>
  <p>
    The IDL MCA display and multi-element display tools have also been ported to Python.
    With the advent of the IDL Virtual Machine that allows IDL programs to be run for
    free I am no longer actively working on the Python versions, but it is available
    here.</p>
  <hr />
  <address>
    Suggestions and Comments to:<br />
    <a href="mailto:rivers@cars.uchicago.edu">Mark Rivers </a>: (rivers@cars.uchicago.edu)<br />
  </address>
</body>
</html>
